﻿loader.define(function(require, exports, module) {

    var bs = bui.store({
        scope: "page", // 用于区分公共数据及当前数据的唯一值
        data: {
            todo: [{
                id: 1,
                title: "参加项目会议"
            }, {
                id: 2,
                title: "项目启动会"
            }, {
                id: 3,
                title: "看电影"
            }],
            todoText: "",
            nextTodoId: 4
        },
        // log: true,
        methods: {
            addTodo: function(e) {

                if (this.todoText) {
                    this.todo.push({
                        id: this.nextTodoId++,
                        title: this.todoText
                    })
                    this.todoText = "";
                } else {
                    bui.hint("请填写待办事项")
                }

            },
            removeTodo: function(index) {
                // 方法1: 通过索引删除

                // 数组附带的方法，删除索引
                // this.todo.splice(index, 1);
                this.todo.$deleteIndex(index);
                this.todoText = "";

                // 方法2: 通过唯一id删除, id 为数字,需要类型完全匹配才能删除
                // var idNum = parseInt(id);

                // bui.array.remove(idNum,this.todo,"id");
                // this.todoText = "";
            }
        },
        templates: {
            tplTodo: function(data, e) {
                var _self = this;
                var html = "";

                data.forEach(function(item, i) {
                    // $itemIndex: 当前索引 li. 1.6.5新增
                    html += `<li id="${item.id}" class="bui-btn bui-box">
                                    <div class="span1">${item.title}</div>
                                    <i b-click="page.removeTodo($itemIndex)" class="icon-remove large"></i>
                                </li>`;
                })
                return html;
            }
        },
        mounted: function() {
            // 加载后执行
        }
    })
})